Package Asm

## Class Program

- java.lang.Object
- - Asm.Program

-     public class Program
      extends java.lang.Object

  Ceci est une classe permettant de représenter un programme.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Program()` | Constructeur

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addInstruction​(Instruction instruction)` | Ajoute instruction à la fin de this.
    `void` | `addInstructions​(Program program)` | Ajoute toutes les instructions de program à la fin de this.
    `java.util.ArrayList<Instruction>` | `getInstructions()` | Getter de la liste d'instructions
    `java.lang.String` | `toString()` | Convertit le programme en String pour l'affichage

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Program

          public Program()

      Constructeur

  - ### Method Detail

    - #### getInstructions

          public java.util.ArrayList<Instruction> getInstructions()

      Getter de la liste d'instructions
      Returns:
        ArrayList contenant les instructions du programme

    - #### addInstruction

          public void addInstruction​(Instruction instruction)

      Ajoute instruction à la fin de this.
      Parameters:
        `instruction` - Instruction à ajouter

    - #### addInstructions

          public void addInstructions​(Program program)

      Ajoute toutes les instructions de program à la fin de this.
      Parameters:
        `program` - Programme contenant les instructions à ajouter

    - #### toString

          public java.lang.String toString()

      Convertit le programme en String pour l'affichage
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        String contenant les instructions du programme